#include <iostream>

int main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);

    int num_elems;
    int diff;
    int num_pairs;

    std::cin >> num_elems >> num_pairs >> diff;

    if (num_pairs == 3)
    {
        if (num_elems == 4)
        {
            std::cout << (diff + 1) << ' ' << 1 << ' ' << 1 << ' ' << 1 << '\n';
            return 0;
        }

        if (num_elems == 3)
        {
            std::cout << (2 * diff + 1) << ' ' << 1 << ' ' << (diff + 1) << '\n';
            return 0;
        }

        std::cout << -1 << '\n';
        return 0;
    }
}